%global _python_bytecompile_errors_terminate_build 0

Summary: Programmable completion functions for bash
Name: bash-completion
Version: 2.11
Release: 5%{?dist}
License: GPLv2+
URL: https://github.com/scop/bash-completion
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: automake make
Requires: bash >= 4.1 

BuildArch: noarch

%description
bash-completion is a collection of command line command completions 
for the Bash shell, collection of helper functions to assist in creating 
new completions, and set of facilities for loading completions 
automatically on demand, as well as installing them.

%prep
%autosetup

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install

# shipping in latest systemd now
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/udevadm
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/nmcli
# shipping in latest util-linux now
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/cal
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/chsh
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/dmesg
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/eject
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/hexdump
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/hwclock
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/ionice
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/look
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/mount
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/newgrp
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/renice
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/rtcwake
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/su
rm -vf %{buildroot}%{_datadir}/bash-completion/completions/umount

%check
# some tests may involve non-ASCII filenames
export LANG=C.UTF-8
make -C completions check


%files
%license COPYING
%doc AUTHORS CHANGES CONTRIBUTING.md README.md
%doc doc/bash_completion.txt
%config(noreplace) %{_sysconfdir}/profile.d/bash_completion.sh
%{_datadir}/bash-completion/
%{_datadir}/cmake/
%{_datadir}/pkgconfig/bash-completion.pc


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 12 2022 Yi Lin <nilusyi@tencent.com> - 2.11-1
- package init.
